Package ru.bitel.bgbilling.kernel.event.events

# Class WebMenuListEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.kernel.event.events.WebMenuListEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class WebMenuListEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `WebMenuListEvent()`
  ``
  `WebMenuListEvent(Contract contract, Object[] data)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Contract`
  `getContract()`
  `Object[]`
  `getData()`
  `void`
  `setData(Object[] data)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WebMenuListEvent

    protected WebMenuListEvent()

  - ### WebMenuListEvent

    public WebMenuListEvent(Contract contract, Object[] data)

- ## Method Details

  - ### getData

    public Object[] getData()

  - ### setData

    public void setData(Object[] data)

  - ### getContract

    public Contract getContract()